Subject: Re: [PATCH v4 00/12] Wildmatch v4

From: Torsten Bögershausen <[email-masked]>
Date: Fri, 12 Oct 2012 18:44:15 +0200

On 11.10.12 13:56, Nguyen Thai Ngoc Duy wrote:
> On Thu, Oct 11, 2012 at 11:33 AM, Junio C Hamano <[email-masked]> wrote:
>> Junio C Hamano <[email-masked]> writes:
>>
>>> Nguyễn Thái Ngọc Duy  <[email-masked]> writes:
>>>
>>>> Really small updates. I did not want to resend it this soon but this
>>>> may fix the compile errors for Junio.
>>
>> t3070 seems to break TAP,
>>
>>     *** prove ***
>>     t3070-wildmatch.sh .. Failed 1/151 subtests
>>
>>     Test Summary Report
>>     -------------------
>>     t3070-wildmatch.sh (Wstat: 0 Tests: 150 Failed: 0)
>>       Parse errors: Tests out of sequence.  Found (76) but expected (75)
>>                     Tests out of sequence.  Found (77) but expected (76)
>>                     Tests out of sequence.  Found (78) but expected (77)
>>                     Tests out of sequence.  Found (79) but expected (78)
>>                     Tests out of sequence.  Found (80) but expected (79)
>>     Displayed the first 5 of 77 TAP syntax errors.
>>
>> This probably is due to this part of the output:
>>
>>     ok 72 - wildmatch 1 1 [ab] [\[:]ab]
>>     ok 73 - wildmatch 1 1 ?a?b \??\?b
>>     ok 74 - wildmatch 1 1 abc ^G^Hok 75 - wildmatch 0 0 foo
>>     ok 76 - wildmatch 1 0 foo/bar/baz/to **/t[o]
>>     ok 77 - wildmatch 1 1 a1B [[:alpha:]][[:digit:]][[:upper:]]
>>
> 
> It seems to prove fine here with perl 5.12.3, Test-Harness-3.230,
> bash-4.0_p38. What version do you use?
> 
Some problems even here (Mac OS) commit 2aeb6d4d7884f4c4425

not ok 61 - wildmatch 0 0 \ \
not ok 62 - wildmatch 0 0 /\ */\
not ok 69 - wildmatch 1 1 [ab] [[:]ab]
not ok 71 - wildmatch 1 1 [ab] [[:digit]ab]
not ok 80 - wildmatch 1 0 1 [[:digit:][:upper:][:space:]]
not ok 81 - wildmatch 0 0 1 [[:digit:][:upper:][:spaci:]]
not ok 88 - wildmatch 1 0 _ [[:alnum:][:alpha:][:blank:][:cntrl:][:digit:][:graph:][:lower:][:print:][:punct:][:space:][:upper:][:xdigit:]]
not ok 89 - wildmatch 1 0 _ [[:alnum:][:alpha:][:blank:][:cntrl:][:digit:][:graph:][:lower:][:print:][:punct:][:space:][:upper:][:xdigit:]]
not ok 93 - wildmatch 1 1 y [a-c[:digit:]x-z]

I have 2 perls, I'm not sure which versin is used by git these days.

 which perl
/opt/local/bin/perl
tb@birne:~/projects/git/git.pu/t> perl --version

This is perl, v5.8.9 built for darwin-2level

----------------
/usr/bin/perl --version

This is perl, v5.10.0 built for darwin-thread-multi-2level
(with 2 registered patches, see perl -V for more detail)
----------

If I can do more debugging/testing please let me know
/Torsten